Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07842 DIP/Input Major Always Jan 7, 2021, 22:28 Jan 9, 2021, 22:19
Tester MetalGod View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver namcos2.cpp
Version 0.227 Fixed in Version 0.228 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07842: luckywld, sgunner2: Credit buttons doesn't work
Description Credit buttons doesn't work



Regression is mame 0.227
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.227
Affected Sets / Systems luckywld, sgunner2
Attached Files
 
Relationships
related to 07837ResolvedAJR  starblad, starbladj: Coin counter does not work 
Notes
5
User avatar
No.18342
Hydreigon
Tester
Jan 7, 2021, 22:33
Related to 07837?
User avatar
No.18343
Tafoid
Administrator
Jan 7, 2021, 23:59
Nope, not in my testing.
https://github.com/mamedev/mame/commit/bf80796b1555aa2e4e66f01b52a54a08aca0522c is most likely - October 29, 2020
The Service 1 (default map 9) still seem to work to add credits.
User avatar
No.18355
AJR
Developer
Jan 9, 2021, 21:46
57baad2dab651c428063bd14cb5adfd3b321ace0 is the more likely breaking commit. The new M37450 clock divider (which should be accurate for this case) changed internal timings just enough so that the ADC interrupt is now taken at just the right moment to expose a CPU core bug.
User avatar
No.18356
AJR
Developer
Jan 9, 2021, 22:11
185437bcd950985bb1508bf63ca88895fd05ada9 should fix these sets and all others using the C68 MCU.
User avatar
No.18357
Tafoid
Administrator
Jan 9, 2021, 22:19
AJR: Thanks for checking into this. Hard to diagnose when multiple commits for a device are made and sometimes guesses are made :D